<bugID>1059559<Summary>New tab thumbnails are full size images</Summary><Description>These will be quite expensive to draw (lets say 12 ms per image on a fast computer) which means that once you have 2 images you all ready way over budget.</Description></bugID>